Softethervpn install issues

Hello,
I use a translator to communicate with you, so please be indulgent to the syntax.

I submit my problem:
I am a 64-bit professional Windows 10 user, I discover OpenWrt and I use the ssh "Putty".

My Archer C7 AC1750 V4 TP-Link router, I installed the 18.06.1 "openwrt-ar71xx-generic-archer-c7-v4-squashfs-factory.bin" snapshots. Then the sysupgrading openwrt-18.06.1-ar71xx-generic-archer-c7-v4-squashfs-sysupgrade.bin ".
The latest update "openwrt-18.06.2-ar71xx-generic-archer-c7-v4-squashfs-sysupgrade.bin Everything works fine.
When I try to install "softehervpn_4.22-9634-2_ar71xx.ipk, I have this message:

"Unknown package 'softethervpn'.
Collected errors:
 * pkg_hash_fetch_best_installation_candidate: Packages for softethervpn found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package softethervpn.
root@OpenWrt:/tmp#".

Ci dessous, les Ă©tapes de la progression:

login as: root
root@192.168.2.1's password:


BusyBox v1.28.4 () built-in shell (ash)

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 OpenWrt 18.06.2, r7676-cddd7b4c77
 -----------------------------------------------------
root@OpenWrt:~# opkg update
Downloading http://downloads.openwrt.org/releases/18.06.2/targets/ar71xx/generic/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_core
Downloading http://downloads.openwrt.org/releases/18.06.2/targets/ar71xx/generic/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/base/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_base
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/base/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/luci/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_luci
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/luci/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/packages/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_packages
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/packages/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/routing/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_routing
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/routing/Packages.sig
Signature check passed.
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/telephony/Packages.gz
Updated list of available packages in /var/opkg-lists/openwrt_telephony
Downloading http://downloads.openwrt.org/releases/18.06.2/packages/mips_24kc/telephony/Packages.sig
Signature check passed.
root@OpenWrt:~# opkg install zlib libpthread librt libreadline libncurses libico
nv-full kmod-tun libopenssl
Package zlib (1.2.11-2) installed in root is up to date.
Package libpthread (1.1.19-1) installed in root is up to date.
Package librt (1.1.19-1) installed in root is up to date.
Package libreadline (7.0-1) installed in root is up to date.
Package libncurses (6.1-1) installed in root is up to date.
Package libiconv-full (1.11.1-3) installed in root is up to date.
Package kmod-tun (4.9.152-1) installed in root is up to date.
Package libopenssl (1.0.2q-1) installed in root is up to date.
root@OpenWrt:~# cd /tmp/ && wget https://archive.openwrt.org/snapshots/trunk/ar7
1xx/generic/packages/packages/softethervpn_4.22-9634-2_ar71xx.ipk
Downloading 'https://archive.openwrt.org/snapshots/trunk/ar71xx/generic/packages/packages/softethervpn_4.22-9634-2_ar71xx.ipk'
Connecting to 81.0.124.218:443
Writing to 'softethervpn_4.22-9634-2_ar71xx.ipk'
softethervpn_4.22-96 100% |*******************************|  3588k  0:00:00 ETA
Download completed (3675092 bytes)
root@OpenWrt:/tmp# opkg install /tmp/softethervpn_4.22-9634-2_ar71xx.ipk
Unknown package 'softethervpn'.
Collected errors:
 * pkg_hash_fetch_best_installation_candidate: Packages for softethervpn found, but incompatible with the architectures configured
 * opkg_install_cmd: Cannot install package softethervpn.
root@OpenWrt:/tmp#

There is no urgency to answer me but any help would be a comfort. Thank you for your work and the clarity of the explanations that allowed me to arrive at this stage.

Bests regards

@97gerard_216 welcome to the community! If you're the same person as @97gerard216, there's no need to make a new account.

Why are you downloading the package from here!?!?!

Simply run:

opkg update
okpg install softehervpn
1 Like

Sorry

Hello,

  I am "@ 97gerard_216" but I did not remember the information I

used to create my account.

  A big thank you for the speed of your response. In fact, I

followed a tutorial on the internet.

  I grope in this area that I discover. Can you help me with the

following questions:

  1 °) After the installation of softethervpn, it is necessary to

install the packages "zlib libpthread librt libreadline libncurses
libiconv-full kmod-tun libopenssl".

  2 °) For my router Tp-link must install softethervpn in modes

"server" and "client", or in server mode on the router and client
on windows 10.

  In simpler, I followed this tutorial:

Can I apply this tutorial from "PART 3 – Configuring Softether
administration password"
Thank you for your lighting

Bests regards

I believe your email client messed up the formatting of your last posting.

Sorry,

Hello,

I am "@ 97gerard_216" but I did not remember the information I used to create my account.

A big thank you for the speed of your response. In fact, I followed a tutorial on the internet.
I grope in this area that I discover. Can you help me with the following questions:

1 °) After the installation of softethervpn, it is necessary to install the packages "zlib libpthread librt libreadline libncurses libiconv-full kmod-tun libopenssl".

2 °) For my router Tp-link must install softethervpn in modes "server" and "client", or in server mode on the router and client on windows 10.
In simpler, I followed this tutorial: https://wordpress.tirlins.com/2015/03/setting-up-softether-vpn-on-openwrt/

Can I apply this tutorial from "PART 3 – Configuring Softether administration password"

Thank you for your lighting

Bests regards

I am already registered

After Simply run:
Hello
opkg update
opkg install softehervpn
Unknown package 'softethervpn'.
Collected errors:

  • opkg_install_cmd: Cannot install package softethervpn.

Bests regards

There're some compilation errors:
http://downloads.openwrt.org/releases/faillogs/x86_64/packages/softethervpn/
May be @hnyman can clarify the issue.

There's a similar topic:

Hello,
Thank you for your reply.
After entering this link, I always have the same error:
Unknown package 'softethervpn'
Below, the procedure:

root@OpenWrt:~# cd /tmp/ && wget http://downloads.openwrt.org/releases/faillogs/
x86_64/packages/softethervpn/
Downloading 'http://downloads.openwrt.org/releases/faillogs/x86_64/packages/softethervpn/'
Connecting to 148.251.78.235:80
Writing to 'softethervpn'

Download completed (2696 bytes)
root@OpenWrt:/tmp# opkg install softethervpn
Unknown package 'softethervpn'.
Collected errors:
 * opkg_install_cmd: Cannot install package softethervpn.
root@OpenWrt:/tmp#

It should be clear that you can not install a package from its faillog.

1 Like

Hello,
Thank you for the answer. I'm discovering Linux and it's not easy. If I understand you, you can not install softethervpn. I do not want Openvpn. You can close this discussion.
Thank you, good luck and good day.

That is not correct. You are using a link to a log file. That isn't the software itself.

Are you saying this because you need clarity?

For posterity's sake, there is no method to "close" a thread.

  • Also, who mentioned OpenVPN?
  • Perhaps you're confused on what software you need or are trying to install?
1 Like

I'm sorry if I misspoke because I use a translator.

What I would like and want is to install softethervpn.
No leader or regular suggested Openvpn. In my mind, it is simply to say that it does not suit me. There is no confusion.

I followed this suggestion
[/quote]
Simply run:

opkg update
opkg install softehervpn

[/quote]

Error message:
Unknown package 'softethervpn'.
Collected errors:

    opkg_install_cmd: Cannot install package softethervpn.

If you can send me a link to the software softethervpn, I would appreciate it.
Thank you again for the work you do and especially all the attention that put to respond to different requests.
Bests regards

@97gerard_216,

@vgaetera a tenté de vous expliquer précédemment qu'il y avait une erreur de compilation sur le système de construction. Cela doit être réparé avant de pouvoir installer softethervpn via 'opkg'.

Vgaetera attempted to explain to you previously, that there is a compilation error on the build system. This must be repaired before you can install softethervpn via 'opkg'.

1 Like

Thank you.

1 Like

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.